#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long m,n;
    scanf("%lld%lld",&n,&m);
    if(n==1 && m==1){
        printf("1");
        return 0;
    }
    printf("%lld",((n-2)*(m-2))/2+2*m+2*n-4);
    return 0;
}